Page MenuHomePhabricator

Wrong time parsing of ISO dates with day 00
Closed, ResolvedPublic

Description

2015-01-00 is currently parsed as "1 January 2015 minus 1 day" and becomes "31 December 2014". Should become "January 2015" w/o day instead.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterAdd ISO time strings to Lib\TimeParser tests
mediawiki/extensions/Wikibase : masterUpdate DataValues Time to 0.7.0
mediawiki/extensions/Wikibase : masterAdd fail-safe for YYYY-00-00 to DateTimeParser

Event Timeline

thiemowmde claimed this task.
thiemowmde raised the priority of this task from to Medium.
thiemowmde updated the task description. (Show Details)
thiemowmde added a subscriber: thiemowmde.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2015, 2:25 PM
Lydia_Pintscher added a project: Wikidata.
Lydia_Pintscher added subscribers: adrianheine, daniel.

Change 186791 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Add ISO time strings to Lib\TimeParser tests

https://gerrit.wikimedia.org/r/186791

Patch-For-Review

Change 192306 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Add fail-safe for YYYY-00-00 to DateTimeParser

https://gerrit.wikimedia.org/r/192306

Patch-For-Review

Change 192306 merged by jenkins-bot:
Add fail-safe for YYYY-00-00 to DateTimeParser

https://gerrit.wikimedia.org/r/192306

Still open:
https://github.com/DataValues/Time/pull/27
https://gerrit.wikimedia.org/r/#/c/186791/ which needs a release and dependency update of DataValues/Time after the above is merged

I merged the pull request on github, and gave a +2 on gerrit. But before the change can be merged, we need a new release of DataValues/Time, it seems.

daniel reassigned this task from thiemowmde to Tobi_WMDE_SW.Apr 10 2015, 2:16 PM
daniel moved this task from Review to Backlog on the Wikidata-Sprint-2015-04-07 board.
daniel moved this task from Done to Backlog on the Wikidata-Sprint-2015-04-07 board.

0.7.0 of DataValues/Time was released.
Pending review of https://gerrit.wikimedia.org/r/#/c/205267/

Change 205267 had a related patch set uploaded (by Daniel Kinzler):
Update DataValues Time to 0.7.0

https://gerrit.wikimedia.org/r/205267

Change 205267 merged by jenkins-bot:
Update DataValues Time to 0.7.0

https://gerrit.wikimedia.org/r/205267

Tobi_WMDE_SW closed this task as Resolved.Apr 21 2015, 3:40 PM
Tobi_WMDE_SW moved this task from Review to Done on the Wikidata-Sprint-2015-04-21 board.

Change 186791 merged by jenkins-bot:
Add ISO time strings to Lib\TimeParser tests

https://gerrit.wikimedia.org/r/186791

Jc3s5h added a subscriber: Jc3s5h.Jun 16 2015, 2:05 PM